summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2019-10-22 21:35:00 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2019-10-22 21:35:00 -0500
commit4316e16423f347bc21e02f0ef2b45fb4dd1a3286 (patch)
tree8546120e1f27547e2867372569d5576aa830d4a8 /sys-cluster/swift
parentdev-util/lttng-ust: fix missing numa dependency error (diff)
downloadgentoo-4316e16423f347bc21e02f0ef2b45fb4dd1a3286.tar.gz
gentoo-4316e16423f347bc21e02f0ef2b45fb4dd1a3286.tar.bz2
gentoo-4316e16423f347bc21e02f0ef2b45fb4dd1a3286.zip
sys-cluster/swift: 2.23.1 bump
Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'sys-cluster/swift')
-rw-r--r--sys-cluster/swift/Manifest1
-rw-r--r--sys-cluster/swift/swift-2.23.1.ebuild125
2 files changed, 126 insertions, 0 deletions
diff --git a/sys-cluster/swift/Manifest b/sys-cluster/swift/Manifest
index 3087d92ac04..5212d1428d8 100644
--- a/sys-cluster/swift/Manifest
+++ b/sys-cluster/swift/Manifest
@@ -2,3 +2,4 @@ DIST swift-2.20.0.tar.gz 3012428 BLAKE2B 48cfb52bce8d89836ede3d82cde197e282b55ce
DIST swift-2.21.0.tar.gz 3025042 BLAKE2B 847b11fa61620cdd07acadd1d4fcc43c9fc53ecfc958e8cb617dde6b643bce116662df74b9b2a01df8551847c4577fedd25aab3951ce437cf5d046552e3b22e0 SHA512 ceb96401aa5d1ab36dc0a08455970f9c1704868d778970cad9783463bf8a25dddc7431df0aa73e4d2d7d4f6ef2908fa5faede749fe94e32d5f67e61768edd964
DIST swift-2.22.0.tar.gz 3070436 BLAKE2B 53049ba901cf5a46d4567c7fa3620b0ad486d88897beb75887d81c5beb747a08ff52e7eba93eab9e9e087c82447d99f0fd85c97211fb4e930ce5b27a1bba41f1 SHA512 855f9d35399251ac86d687b652a9372da4d2f03dff8dee1743357c14c79f6ea8903b7c67d99fed08b6b4cdfa2cfd6ecb78b010b2ee83195eda30c4a9463a5a0c
DIST swift-2.23.0.tar.gz 3091166 BLAKE2B ec08e2617adc1dbe430215eca49728c7fd96e4b644a251852e4c90a709e8dde0e554e996cc4879efe32017a4e7098c0aa787bb344f79706eb2e0afcb2d7f977c SHA512 e90fc1ebc9613ab3da9300b18c15c4661b06dc11e527a665d9a186926ba5640f4f261841d03e6215f7b0bb01cb04b5e242280ffd178e5d7af9343b11e5a661e2
+DIST swift-2.23.1.tar.gz 3044545 BLAKE2B b3b06aefa7c58b718f7d9c1c1b9bc92f442b83202b8d5c2dbbb777650088f2d939f5e9d0fbe83cea38fd6635d072cd8bb3894d64ed9767dde203064c1b81cfdb SHA512 48aa82b178f5e3901363c2b9eeeedeea12a58b1ba86cc46937dd9ec074ecc005b04a6ce732d4e9fce2497c6c62b659038da40ed43550256584bb371df4e596fb
diff --git a/sys-cluster/swift/swift-2.23.1.ebuild b/sys-cluster/swift/swift-2.23.1.ebuild
new file mode 100644
index 00000000000..73b14dde3ae
--- /dev/null
+++ b/sys-cluster/swift/swift-2.23.1.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_6 python3_7 )
+
+inherit distutils-r1 eutils linux-info user
+
+DESCRIPTION="A highly available, distributed, and eventually consistent object/blob store"
+HOMEPAGE="https://launchpad.net/swift"
+if [[ ${PV} == *9999 ]];then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/openstack/swift.git"
+ EGIT_BRANCH="stable/train"
+else
+ SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="account container doc +memcached object proxy"
+REQUIRED_USE="|| ( proxy account container object )"
+
+CDEPEND=">=dev-python/pbr-1.8.0[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}"
+
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/dnspython-1.15.0:0[$(python_gen_usedep 'python2_7')]
+ >=dev-python/eventlet-0.25.0[${PYTHON_USEDEP}]
+ >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
+ >=dev-python/netifaces-0.8[${PYTHON_USEDEP}]
+ !~dev-python/netifaces-0.10.0[${PYTHON_USEDEP}]
+ !~dev-python/netifaces-0.10.1[${PYTHON_USEDEP}]
+ >=dev-python/pastedeploy-1.3.3[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ dev-python/pyxattr[${PYTHON_USEDEP}]
+ >=dev-python/PyECLib-1.3.1[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.0.2[${PYTHON_USEDEP}]
+ >=dev-python/ipaddress-1.0.16[${PYTHON_USEDEP}]
+ memcached? ( net-misc/memcached )
+ net-misc/rsync[xattr]"
+
+pkg_pretend() {
+ linux-info_pkg_setup
+ CONFIG_CHECK="~EXT3_FS_XATTR ~SQUASHFS_XATTR ~CIFS_XATTR ~JFFS2_FS_XATTR
+ ~TMPFS_XATTR ~UBIFS_FS_XATTR ~EXT2_FS_XATTR ~REISERFS_FS_XATTR ~EXT4_FS_XATTR
+ ~ZFS"
+ if linux_config_exists; then
+ for module in ${CONFIG_CHECK}; do
+ linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled"
+ done
+ fi
+}
+
+pkg_setup() {
+ enewuser swift
+ enewgroup swift
+}
+
+src_prepare() {
+ sed -i 's/xattr/pyxattr/g' requirements.txt || die
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+src_test () {
+ # https://bugs.launchpad.net/swift/+bug/1249727
+ find . \( -name test_wsgi.py -o -name test_locale.py -o -name test_utils.py \) -delete || die
+ SKIP_PIP_INSTALL=1 PBR_VERSION=0.6.0 sh .unittests || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ keepdir /etc/swift
+ insinto /etc/swift
+
+ newins "etc/swift.conf-sample" "swift.conf"
+ newins "etc/rsyncd.conf-sample" "rsyncd.conf"
+ newins "etc/mime.types-sample" "mime.types-sample"
+ newins "etc/memcache.conf-sample" "memcache.conf-sample"
+ newins "etc/drive-audit.conf-sample" "drive-audit.conf-sample"
+ newins "etc/dispersion.conf-sample" "dispersion.conf-sample"
+
+ if use proxy; then
+ newinitd "${FILESDIR}/swift-proxy.initd" "swift-proxy"
+ newins "etc/proxy-server.conf-sample" "proxy-server.conf"
+ if use memcached; then
+ sed -i '/depend/a\
+ need memcached' "${D}/etc/init.d/swift-proxy"
+ fi
+ fi
+ if use account; then
+ newinitd "${FILESDIR}/swift-account.initd" "swift-account"
+ newins "etc/account-server.conf-sample" "account-server.conf"
+ fi
+ if use container; then
+ newinitd "${FILESDIR}/swift-container.initd" "swift-container"
+ newins "etc/container-server.conf-sample" "container-server.conf"
+ fi
+ if use object; then
+ newinitd "${FILESDIR}/swift-object.initd" "swift-object"
+ newins "etc/object-server.conf-sample" "object-server.conf"
+ newins "etc/object-expirer.conf-sample" "object-expirer.conf"
+ fi
+
+ if use doc; then
+ doman doc/manpages/*
+ dodoc -r doc/{s3api,saio,source}
+ fi
+
+ fowners root:swift "/etc/swift" || die "fowners failed"
+ fperms 0750 /etc/swift
+}
+
+pkg_postinst() {
+ elog "Openstack swift will default to using insecure http unless a"
+ elog "certificate is created in /etc/swift/cert.crt and the associated key"
+ elog "in /etc/swift/cert.key. These can be created with the following:"
+ elog " * cd /etc/swift"
+ elog " * openssl req -new -x509 -nodes -out cert.crt -keyout cert.key"
+}